update awestruct error

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

update awestruct error

kuuyee
I update awestruct error:

[kuuyee@localhost ~]$ sudo gem update awestruct
[sudo] password for kuuyee:
Updating installed gems
Updating awestruct
Fetching: coffee-script-source-1.3.3.gem (100%)
Fetching: execjs-1.4.0.gem (100%)
Fetching: coffee-script-2.2.0.gem (100%)
Fetching: nokogiri-1.5.5.gem (100%)
ERROR:  Error installing awestruct:
        invalid gem format for /usr/local/share/gems/cache/nokogiri-1.5.5.gem
Gems updated: coffee-script-source, execjs, coffee-script
Installing ri documentation for coffee-script-source-1.3.3...
Installing ri documentation for execjs-1.4.0...
Installing ri documentation for coffee-script-2.2.0...
Installing RDoc documentation for coffee-script-source-1.3.3...
Installing RDoc documentation for execjs-1.4.0...
Installing RDoc documentation for coffee-script-2.2.0...
Reply | Threaded
Open this post in threaded view
|

Re: update awestruct error

Lance Ball
Hi

This is actually a nokogiri issue.  Try installing nokogiri on its own with `gem install nokogiri` and see if you get more information.  Also, take a look at these threads:

http://stackoverflow.com/questions/2741129/installing-nokogiri-ruby-gem-with-a-native-extension
http://stackoverflow.com/questions/8003523/error-installing-nokogiri-1-5-0-with-rails-3-1-0-and-ubuntu
http://stackoverflow.com/questions/9753416/gem-install-nokogiri-fails-in-bundle-install-mac-os-x-lion
http://stackoverflow.com/questions/2445810/failed-to-install-nokogiri-and-webrat-on-mac-os-x

Etc.

Lance

On Oct 11, 2012, at 1:01 AM, kuuyee wrote:

> I update awestruct error:
>
> [kuuyee@localhost ~]$ sudo gem update awestruct
> [sudo] password for kuuyee:
> Updating installed gems
> Updating awestruct
> Fetching: coffee-script-source-1.3.3.gem (100%)
> Fetching: execjs-1.4.0.gem (100%)
> Fetching: coffee-script-2.2.0.gem (100%)
> Fetching: nokogiri-1.5.5.gem (100%)
> ERROR:  Error installing awestruct:
> invalid gem format for /usr/local/share/gems/cache/nokogiri-1.5.5.gem
> Gems updated: coffee-script-source, execjs, coffee-script
> Installing ri documentation for coffee-script-source-1.3.3...
> Installing ri documentation for execjs-1.4.0...
> Installing ri documentation for coffee-script-2.2.0...
> Installing RDoc documentation for coffee-script-source-1.3.3...
> Installing RDoc documentation for execjs-1.4.0...
> Installing RDoc documentation for coffee-script-2.2.0...
>
>
>
> --
> View this message in context: http://talk-archive.awestruct.org/update-awestruct-error-tp62.html
> Sent from the Awestruct Talk mailing list archive at Nabble.com.
>
> ---------------------------------------------------------------------
> Archives: http://talk-archive.awestruct.org/
> To unsubscribe, e-mail: [hidden email]
>


---------------------------------------------------------------------
Archives: http://talk-archive.awestruct.org/
To unsubscribe, e-mail: [hidden email]